FROM python:3

RUN apt-get update
RUN apt-get install cron -y

ENV PYTHONUNBUFFERED 1
WORKDIR /app
COPY requirements.txt requirements.txt
RUN pip install -r requirements.txt

# SET UP ROOT CRONTAB
RUN touch /var/spool/cron/crontabs/root
RUN crontab -l

## ALTER THIS LINE TO ADD CRONTABS AND START SERVICE
CMD python manage.py crontab add && service cron start && python manage.py runserver "0.0.0.0:8001"
